--- #-------------------------------------------------------------------------------------------------------------

#-------------------------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See https://go.microsoft.com/fwlink/?linkid=2090316 for license information.
version: '3.7'
services:
  # Update this to the name of the service you want to work with in your docker-compose.yml file
  workspace:
    # You may want to add a non-root user to your Dockerfile and uncomment the line below
    # to cause all processes to run as this user. Once present, you can also simply
    # use the "remoteUser" property in devcontainer.json if you just want VS Code and
    # its sub-processes (terminals, tasks, debugging) to execute as the user. On Linux,
    # you may need to ensure the UID and GID of the container user you create matches your
    # local user. See https://aka.ms/vscode-remote/containers/non-root for details.
    # user: vscode

    # Uncomment if you want to add a different Dockerfile in the .devcontainer folder
    # build:
    #   context: .
    #   dockerfile: Dockerfile

    # Uncomment if you want to expose any additional ports. The snippet below exposes port 3000.
    # ports:
    #   - 3000:3000

    volumes:
      # Update this to wherever you want VS Code to mount the folder of your project
      # use below when local docker host in wsl2
      - ../../:/workspace:cached
      - ~/.ssh/:/root/.ssh/:cached
      - ~/.ssh/:/home/vscode/.ssh/:cached
      - ~/.ssh/:/home/node/.ssh/:cached
      # use below when remote docker host
      # - /home/tk/src/outliner:/workspace:cached
      # - /home/tk/.ssh:/root/.ssh:cached
      # - /home/tk/.ssh:/home/vscode/.ssh:cached
      # - /home/tk/.ssh:/home/node/.ssh:cached
      # - /home/tk/src/secrets:/secrets:cached
      # Uncomment the next line to use Docker from inside the container. See https://aka.ms/vscode-remote/samples/docker-in-docker-compose for details.
      - /var/run/docker.sock:/var/run/docker.sock

      # create container from windows wih ssh-agent
      # - ${USERPROFILE}/.ssh/known_hosts:/root/.ssh/known_hosts:cached

    working_dir: /workspace/server-or-tools/

    # Uncomment the next four lines if you will use a ptrace-based debugger like C++, Go, and Rust.
    # cap_add:
    #   - SYS_PTRACE
    # security_opt:
    #   - seccomp:unconfined

    # ports:
    #   - '3000:3000'
    #   - '8080:8080'

    # environment:
    #   OUTLINER_API_PROTOCOL: http
    #   OUTLINER_API_Host: localhost
    #   OUTLINER_API_PORT: :8000
    #   HOST: '0.0.0.0'
    #   GOOGLE_APPLICATION_CREDENTIALS: /secrets/outliner-b9da8-firebase-adminsdk.json

    # Overrides default command so things don't shut down after the process ends.
    # command: /bin/sh -c "npm install; while sleep 1000; do :; done"
    # command: /bin/sh -c " npm install; while true; do :; au run --host 0.0.0.0 --port 8080; sleep 5; done"
    command: /bin/sh -c "while sleep 1000; do :; done"
